Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# NSInvocation class additions

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

### Contents -

1. Software documentation for the NSInvocation(STAdditions) category
2. NSInvocation+additions functions

# Software documentation for the NSInvocation(STAdditions) category

## NSInvocation(STAdditions)

> Declared in:
>   StepTalk/NSInvocation+additions.h

Description forthcoming.

### Method summary

- +invocationWithTarget:selector:
- +invocationWithTarget:selectorName:
- -getArgumentAsObjectAtIndex:
- -returnValueAsObject
- -setArgumentAsObject:atIndex:

### invocationWithTarget: selector:

+ (id) invocationWithTarget: (id)target selector: (SEL)selector;
Description forthcoming.

### invocationWithTarget: selectorName:

+ (id) invocationWithTarget: (id)target selectorName: (NSString*)selectorName;
Description forthcoming.

### getArgumentAsObjectAtIndex:

- (id) getArgumentAsObjectAtIndex: (NSInteger)anIndex;
Description forthcoming.

### returnValueAsObject

- (id) returnValueAsObject;
Description forthcoming.

### setArgumentAsObject: atIndex:

- (void) setArgumentAsObject: (id)anObject atIndex: (NSInteger)anIndex;
Description forthcoming.

# NSInvocation+additions functions

### STGetValueOfTypeFromObject

void STGetValueOfTypeFromObject(void* value, const char* type, id anObject);
Description forthcoming.

### STObjectFromValueOfType

id STObjectFromValueOfType(void* value, const char* type);
This method is a factory method, that means that you have to release the object when you no longer need it.

Up